#!/bin/bash
set -e
echo "compile warns stage"

pwd

cd src/
for v in ${1:-2 3 4 5 6}; do {
	CFLAGS="-Werror -Wall -DEASYMESH_VERSION=$v -DDECOLLECTOR_VENDOR_EXTENSIONS -DCUSTOM_PREFIX=\\\"X_IOWRT_EU_\\\"" make DECOLLECTOR_BUILD_TR181_PLUGIN=y;
	make clean;
}; done
